IMG_SaveWEBP_IO(3)

NAME
IMG_SaveWEBP_IO - Save an SDL_Surface into WEBP image data, via an SDL_IOStream.

SYNOPSIS
#include <SDL3_image/SDL_image.h>

bool IMG_SaveWEBP_IO(SDL_Surface *surface, SDL_IOStream *dst, bool closeio, float quality);

DESCRIPTION
If you just want to save to a filename, you can use IMG_SaveWEBP() instead.

If closeio is true, dst will be closed before returning, whether this function succeeds or not.

FUNCTION PARAMETERS

surface
    the SDL surface to save.

dst the SDL_IOStream to save the image data to.

closeio
    true to close/free the SDL_IOStream before returning, false to leave it open.

quality
    between 0 and 100. For lossy, 0 gives the smallest size and 100 the largest. For lossless, this parameter is the amount of effort put into the compression: 0 is the fastest but gives larger files compared to the slowest, but best, 100.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

AVAILABILITY
This function is available since SDL_image 3.4.0.

SEE ALSO
IMG_SaveWEBP(3)